package jdk.internal.org.objectweb.asm.commons;

import java.util.Collections;
import java.util.Map;

public class SimpleRemapper extends Remapper
{
    private final Map<String, String> mapping;
    
    public SimpleRemapper(Map<String, String> mapping) {
        this.mapping = mapping;
    }
    
    public SimpleRemapper(String key, String value) {
        this.mapping = Collections.singletonMap(key, value);
    }
    
    @Override
    public String mapMethodName(String str, String str2, String str3) {
        String map = this.map(str + 46 + str2 + str3);
        return (map == null) ? str2 : map;
    }
    
    @Override
    public String mapFieldName(String str, String str2, String s) {
        String map = this.map(str + 46 + str2);
        return (map == null) ? str2 : map;
    }
    
    @Override
    public String map(String s) {
        return (String)this.mapping.get(s);
    }
}
